<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>Minifyer</title>
    <link rel="stylesheet" href="../assets/style/main.css">
</head>

<body class="about">
    <div class="transbg"> </div>
    <div class="content">
        <h1>Documentation</h1>
        <p>Minifyer peux vous aider à travailler avec les fichiers de type
            <strong>JavaScript</strong>,
            <strong>CSS</strong> et
            <strong>SCSS</strong>. Le logiciel peut compresser
            <em>(.js, .css)</em>, concaténer
            <em>(.js, .css)</em> et compiler
            <em>(.scss)</em> les fichiers choisis selon leur type respectif. Il peut aussi "observer" un dossier de façon récursive
            afin de réagir aux changements dans les fichiers qu'il contient.</p>
        <p>Il est possible de glisser et déposer un fichier ou un dossier sur l'application afin de lancer une action.
            <strong>Toutefois, il n'est pas possible, pour le moment, de glisser plusieurs fichiers à la fois. Il par contre possible
                de glisser plusieurs dossiers à la fois dans la fenêtre principale.</strong>
        </p>
        <p>Des informations importantes suivent ci-dessous :
        </p>

        <h2>JavaScript</h2>
        <p>La compression JavaScript utilisée par défaut est celle de
            <strong>UglifyJS</strong>. Vous pouvez changer les options du compresseur JavaScript en allant dans les paramètres de
            l'application.
        </p>

        <p>Vous avez pour le moment 2 choix de compresseur pour le JavaScript:</p>
        <ul>
            <li>
                <a onclick='renderer.openURL("https://github.com/mishoo/UglifyJS2/tree/v2.x")' target="_blank">Uglifyjs2</a>
            </li>
            <li>
                <a onclick='renderer.openURL("https://github.com/Rich-Harris/butternut")' target="_blank">Butternut</a>
            </li>
        </ul>
        <h3>Observation d'un dossier</h3>
        <p>Lors de l'observation d'un dossier, les dossiers et fichiers dont les noms commencent par
            <em>_</em> ou les fichiers qui contiennent le suffixe
            <em>.min</em> ne seront pas pris en compte lors de l'observation. Voici un exemple de dossiers et fichiers qui ne
            seraient pas pris en compte :</p>
        <ul>
            <li>./_modules/</li>
            <li>utils.min.js</li>
            <li>_header.js</li>
            <li>/_vendors/</li>
        </ul>
        <h2>CSS</h2>
        <p>La compression CSS utilisée par défaut est celle de
            <strong>YUI Compressor</strong>
            <abbr>(YUI)</abbr>, avec la configuration
            <em>UTF8</em>. Vous pouvez changer de compresseur CSS en allant dans les paramètres de l'application.
        </p>

        <p>Vous avez 4 choix de compresseurs pour le CSS:</p>
        <ul>
            <li>
                <a onclick='renderer.openURL("http://yui.github.io/yuicompressor/")' target="_blank">YUI Compressor</a>
            </li>
            <li>
                <a onclick='renderer.openURL("https://github.com/jakubpawlowicz/clean-css/tree/3.4")' target="_blank">Clean-CSS</a>
            </li>
            <li>
                <a onclick='renderer.openURL("https://github.com/css/csso")' target="_blank">CSSO</a>
            </li>
            <li>
                <a onclick='renderer.openURL("https://github.com/ded/sqwish")' target="_blank">Sqwish</a>
            </li>
        </ul>
        <h3>Observation d'un dossier</h3>
        <p>Lors de l'observation d'un dossier, les dossiers et fichiers dont les noms commencent par
            <em>_</em> ou les fichiers qui contiennent le suffixe
            <em>.min</em> ne seront pas pris en compte lors de l'observation. Voici un exemple de dossiers et fichiers qui ne
            seraient pas pris en compte :</p>
        <ul>
            <li>./_base/</li>
            <li>style.min.css</li>
            <li>_header.css</li>
        </ul>
        <h2>SCSS</h2>
        <p>La compression SCSS utilisée par défaut est fourni par
            <a onclick='renderer.openURL("https://github.com/sass/node-sass")' target="_blank">
                <strong style="cursor: pointer;">node-sass</strong>
            </a>
            <abbr>(libsass)</abbr>, avec la configuration
            <em>COMPRESSED</em>. Vous pouvez changer la configuration de node-sass en allant dans les paramètres de l'application.
            De plus, si la compression
            <em>COMPRESSED</em> est utilisée, le nom du fichier CSS compilé contiendra le sufixe
            <em>.min</em>.
        </p>

        <h3>Observation d'un dossier</h3>
        <p>Lors de l'observation d'un dossier, les dossiers et fichiers SCSS dont les noms commencent par
            <em>_</em> ne seront pas pris en compte lors de l'observation. Voici un exemple de dossiers et fichiers qui ne seraient
            pas pris en compte :</p>
        <ul>
            <li>./_partials/</li>
            <li>_header.scss</li>
        </ul>
        <h2>Concaténation de fichier JavaScript et CSS</h2>
        <p>La concaténation de fichiers permet de combiner ensemble plusieurs fichiers JavaScript ou CSS dans un seul fichier
            de sortie. Pour ce faire vous devez créer un fichier avec l'extension
            <em>.concat</em> à l'endroit où se trouvent les fichiers à combiner ensemble. Chaque ligne de ce fichier pointe vers
            un des fichiers à combiner. Par défaut, le fichier de sortie portera le nom des fichiers combinés suivi de
            <em>.concat</em> suivi de l'extension
            <em>.js</em> ou
            <em>css</em> selon le cas. Il est aussi possible de définir un fichier de sortie à l'aide de la commande
            <strong>@out nomdufichier.extension</strong>
        </p>
        <p>
            <strong>Il est important de noter que la concaténation
                <u>ne compresse pas</u> le contenu des fichiers combinés.</strong>
        </p>
        <p>Voici un exemple du contenu d'un fichier de concaténation pour lequel un fichier de sortie nommé
            <em>script1.script2.script3.min.concat.js</em>
            sera créé :</p>
        <pre>script1.js
script2.js
script3.min.js</pre>
        <p>Voici un exemple du contenu d'un fichier de concaténation pour lequel un fichier de sortie nommé
            <em>myScripts.js</em>
            sera créé :</p>
        <pre>script1.js
script2.js
script3.min.js
@out myScripts.js</pre>
    </div>

    <script>
        // You can also require other files to run in this process
        var renderer = require('../assets/js/renderers/renderer-about.js')
    </script>
</body>

</html>